## EomThumbNav

EomThumbNav

## Functions

GtkWidget * | eom_thumb_nav_new ()
gboolean | eom_thumb_nav_get_show_buttons ()
void | eom_thumb_nav_set_show_buttons ()
EomThumbNavMode | eom_thumb_nav_get_mode ()
void | eom_thumb_nav_set_mode ()

## Properties

int | mode | Read / Write
gboolean | show-buttons | Read / Write
EomThumbView * | thumbview | Read / Write / Construct Only

## Types and Values

enum | EomThumbNavMode
struct | EomThumbNav

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── GtkBox
                        ╰── EomThumbNav

## Implemented Interfaces

EomThumbNav implements AtkImplementorIface, GtkBuildable and GtkOrientable.

## Description

## Functions

### eom_thumb_nav_new ()

    GtkWidget *
    eom_thumb_nav_new (GtkWidget *thumbview,
                       EomThumbNavMode mode,
                       gboolean show_buttons);

Creates a new thumbnail navigation widget.

#### Parameters

thumbview | an EomThumbView to embed in the navigation widget. |
mode | The navigation mode. |
show_buttons | Whether to show the navigation buttons. |

#### Returns

a new EomThumbNav object.

### eom_thumb_nav_get_show_buttons ()

    gboolean
    eom_thumb_nav_get_show_buttons (EomThumbNav *nav);

Gets whether the navigation buttons are visible.

#### Parameters

nav | an EomThumbNav. |

#### Returns

`TRUE` if the navigation buttons are visible, `FALSE` otherwise.

### eom_thumb_nav_set_show_buttons ()

    void
    eom_thumb_nav_set_show_buttons (EomThumbNav *nav,
                                    gboolean show_buttons);

Sets whether the navigation buttons to the left and right of the widget should be visible.

#### Parameters

nav | an EomThumbNav. |
show_buttons | `TRUE` to show the buttons, `FALSE` to hide them. |

### eom_thumb_nav_get_mode ()

    EomThumbNavMode
    eom_thumb_nav_get_mode (EomThumbNav *nav);

Gets the navigation mode in `nav` .

#### Parameters

nav | an EomThumbNav. |

#### Returns

A value in EomThumbNavMode.

### eom_thumb_nav_set_mode ()

    void
    eom_thumb_nav_set_mode (EomThumbNav *nav,
                            EomThumbNavMode mode);

Sets the navigation mode in `nav` . See EomThumbNavMode for details.

#### Parameters

nav | An EomThumbNav. |
mode | One of EomThumbNavMode. |

## Types and Values

### enum EomThumbNavMode

#### Members

EOM_THUMB_NAV_MODE_ONE_ROW |  |
EOM_THUMB_NAV_MODE_ONE_COLUMN |  |
EOM_THUMB_NAV_MODE_MULTIPLE_ROWS |  |
EOM_THUMB_NAV_MODE_MULTIPLE_COLUMNS |  |

### struct EomThumbNav

    struct EomThumbNav;

## Property Details

### The `“mode”` property

      “mode”                     int

Thumb navigator mode.

Owner: EomThumbNav

Flags: Read / Write

Allowed values: [0,2]

Default value: 0

### The `“show-buttons”` property

      “show-buttons”             gboolean

Whether to show navigation buttons or not.

Owner: EomThumbNav

Flags: Read / Write

Default value: TRUE

### The `“thumbview”` property

      “thumbview”                EomThumbView *

The internal thumbnail viewer widget.

Owner: EomThumbNav

Flags: Read / Write / Construct Only